Enable CONFIG_COMPAT for linux-aarch64

Discussion about U-Boot and the kernel.

Enable CONFIG_COMPAT for linux-aarch64

Postby ivanich » Mon Sep 07, 2020 10:46 am

At the moment i'm trying to migrate to the Aarch64 on my RPI4, I found that some old armv7h binaries(like acestream) won't execute with aarch64 kernel. Is this possible to enable CONFIG_COMPAT for the linux-aarch64 for the archlinuxarm?
ivanich
 
Posts: 3
Joined: Wed Dec 04, 2019 3:00 pm

Re: Enable CONFIG_COMPAT for linux-aarch64

Postby mogwai » Thu Nov 19, 2020 12:49 pm

I second this request. I also ran into this problem and am now using a custom kernel. But that's a really inconvenient way to work around this problem.
mogwai
 
Posts: 11
Joined: Fri Dec 13, 2019 10:25 am

Re: Enable CONFIG_COMPAT for linux-aarch64

Postby dequis » Tue Jan 12, 2021 10:55 am

I would like to add here that even without full support for 32 bit multilib in the distro, this still would be useful - I need to build/use docker containers for armv7hf and that's an isolated environment that only needs kernel support.
dequis
 
Posts: 7
Joined: Sun Jan 20, 2013 9:45 pm

Re: Enable CONFIG_COMPAT for linux-aarch64

Postby graysky » Tue Jan 12, 2021 2:40 pm

See: viewtopic.php?f=3&t=15031

I just updated to 5.10.6-3 which has CONFIG_COMPAT enabled. Try it and report back.
graysky
 
Posts: 749
Joined: Sun Jun 26, 2011 6:56 am
Location: /run/user/1000


Return to U-Boot/Kernel

Who is online

Users browsing this forum: Google [Bot] and 1 guest